<?php

// Adds the static TypoScript template.
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile(
	'sg_jobs', 'Configuration/TypoScript/Frontend', 'SgJobs - Configuration'
);

// Register frontend plugins
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'sg_jobs',
	'Joblist',
	'LLL:EXT:sg_jobs/Resources/Private/Language/locallang_backend.xlf:listPlugin'
);

// Register frontend plugins
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'sg_jobs',
	'JobApplication',
	'LLL:EXT:sg_jobs/Resources/Private/Language/locallang_backend.xlf:applyPlugin'
);

if (TYPO3_MODE === 'BE') {
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_sgjobs_domain_model_job');
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_sgjobs_domain_model_contact');
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_sgjobs_domain_model_company');

	// Register backend modules
	\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
		'SGalinski.sg_jobs',
		'web',
		'Backend',
		'',
		[
			'Backend' => 'index',
		],
		[
			'access' => 'user,group',
			'icon' => 'EXT:sg_jobs/Resources/Public/Icons/module-sgjobs.svg',
			'labels' => 'LLL:EXT:sg_jobs/Resources/Private/Language/locallang_backend.xlf',
		]
	);
}
